Bug 179795 - "go" button on www.amazon.com is a white quad instead of a "go" icon
Summary: "go" button on www.amazon.com is a white quad instead of a "go" icon
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-06 12:54 UTC by Michael Seiwert
Modified: 2009-01-10 20:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
white amazon go button (48.00 KB, image/jpeg)
2009-01-06 17:31 UTC, FiNeX
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Seiwert 2009-01-06 12:54:22 UTC
Version:            (using Devel)
Compiler:          gcc version 4.3.2 [gcc-4_3-branch revision 141291] (SUSE Linux) 
OS:                Linux
Installed from:    Compiled sources

The "go" button at www.amazon.com shows a white quad instead of a "go"button icon. If hovering over the white quad the icon will be displayed corretly. Another example is the searchbutton at www.emusic.com.
Comment 1 FiNeX 2009-01-06 17:31:58 UTC
Created attachment 29972 [details]
white amazon go button

I can confirm the bug on www.amazon.com using r906622
Comment 2 Maksim Orlovich 2009-01-06 19:54:59 UTC
Reduction:

<style type="text/css">

#navGoButton
{
  width: 32px;
  height: 38px;
}

#navGoButton input
{
  width: 32px;
}

#navGoButton
{
  background: green;
}

#navGoButton input:hover
{
  background: blue;
}

</style>

  <div style="border:1px solid green;">
    <div id="navGoButton">
      <input src=
      "http://g-ecx.images-amazon.com/images/G/01/x-locale/common/transparent-pixel._V42752373_.gif"
      type="image">
    </div>
  </div>
Comment 3 Maksim Orlovich 2009-01-06 20:16:30 UTC
Patch:
Index: css/html4.css
===================================================================
--- css/html4.css       (revision 892610)
+++ css/html4.css       (working copy)
@@ -390,6 +390,10 @@
         color: windowtext;
 }

+input[type="image"] {
+       background-color: transparent;
+}
+
 isindex { color: windowtext; font-size: small; }


Comment 4 Michael Seiwert 2009-01-06 22:31:52 UTC
Patch fixes the problem for me. Thanks Maksim!
Comment 5 Maksim Orlovich 2009-01-07 00:02:45 UTC
Err, I didn't commit this yet.
Comment 6 Maksim Orlovich 2009-01-10 20:07:54 UTC
SVN commit 909002 by orlovich:

We don't want to paint a background for input type=image 
as the image may end up being transparent. Fixes the amazon.com 
go button.

BUG:179795


 M  +4 -0      html4.css  


WebSVN link: http://websvn.kde.org/?view=rev&revision=909002
Comment 7 Maksim Orlovich 2009-01-10 20:10:28 UTC
SVN commit 909004 by orlovich:

automatically merged revision 909002:
We don't want to paint a background for input type=image 
as the image may end up being transparent. Fixes the amazon.com 
go button.

BUG:179795

 M  +4 -0      html4.css  


WebSVN link: http://websvn.kde.org/?view=rev&revision=909004